<template>
  <div class="balance-between">
    <h3 class="modal-section-title">Баланс между усредненной и экспертной составляющей БЦ</h3>

    <div class="balance-between__panel row">
      <div class="balance-between__panel-progress col-xs-5">
        <div class="bar bar-filled" style="width: 65%;">
          <div class="tip">&alpha;</div>
        </div>
        <div class="bar bar-empty" style="width: 35%;">
          <div class="tip">&beta;</div>
          <div class="tip-bottom">&beta; min</div>
        </div>
      </div>
      <div class="balance-between__panel-info col-xs-6 col-xs-offset-1">
        <div class="row">
          <div class="balance-between__panel-info__index">
            <span>
              <b>&alpha;</b> = 0,85
            </span>
            <div class="index-tip">
              коэффициент доверия усредненному
              <br />географическому тарифу
            </div>
          </div>
        </div>
        <div class="row">
          <div class="balance-between__panel-info__index">
            <span>
              <b>&beta;</b> = 0,15
            </span>
            <div class="index-tip">коэффициент доверия эксперту</div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
// this component may be used in base price modal in future
export default {};
</script>

<style lang="scss" scoped>
@import '~common-components/src/static/css/mixins';

.balance-between__panel {
  display: flex;
  align-items: center;
  .balance-between__panel-progress {
    display: flex;
    padding: 45px 0;
    .bar {
      height: 12px;
      position: relative;
      &-filled {
        background: #10cf96;
        border-radius: 2px 0 0 2px;
      }
      &-empty {
        background: rgba(196, 213, 237, 0.5);
        box-shadow: inset 0px 1px 2px rgba(0, 75, 200, 0.2);
        border-radius: 0 2px 2px 0;
        &:after {
          content: '';
          position: absolute;
          width: 1px;
          height: 5px;
          background: #99b7e9;
          left: 50%;
          bottom: -5px;
        }
      }
      .tip {
        @include font-mixin(12px, 14px, 700, #99b7e9, 0.4px);
        position: absolute;
        left: 50%;
        top: -25px;
        &-bottom {
          @include font-mixin(9px, 11px, 700, #99b7e9, 0.4px);
          position: absolute;
          top: auto;
          left: calc(50% - 12px);
          bottom: -20px;
        }
      }
    }
  }
  .balance-between__panel-info__index {
    display: flex;
    align-items: center;
    @include font-mixin(16px, 28px, 400, $gray-slate, 0.4px);
    span {
      min-width: 65px;
      b {
        color: $cobalt-black;
      }
    }
    .index-tip {
      @include font-mixin(10px, 12px, 400, $gray-slate, 0.4px);
      text-transform: uppercase;
      margin-left: 25px;
      padding-left: 15px;
      position: relative;
      &:before {
        content: '';
        position: absolute;
        background: $gray-slate;
        left: -10px;
        top: 50%;
        width: 10px;
        height: 1px;
        margin-right: 10px;
      }
    }
  }
}
</style>